FROM alvrme/alpine-android:android-29 as builder
WORKDIR /app
COPY . .
RUN echo "sdk.dir=${ANDROID_HOME}" >> local.properties
RUN printf "pictsmanager\npictsmanager\npictsmanager\neverywhere\nFrance\nFR\nyes" | keytool -genkey -v -keystore my-release-key.jks -keyalg RSA -keysize 2048 -validity 10000 -alias my-alias -storepass 1234567890
RUN chmod +x ./gradlew
RUN ./gradlew clean
RUN ./gradlew assembleRelease


FROM builder as tester
CMD cd /app/ && ./gradlew test


FROM httpd:latest
COPY --from=builder /app/app/build/outputs/apk/release/app-release.apk /usr/local/apache2/htdocs/app-release.apk
RUN echo "<!DOCTYPE><html><head><meta http-equiv=\"refresh\" content=\"0; url=app-release.apk\"></head><body></body></html>" > /usr/local/apache2/htdocs/index.html
